Bug 1283203 - After upgrading from juno to kilo neutron-openvswitch-agent service fails to start [NEEDINFO]
After upgrading from juno to kilo neutron-openvswitch-agent service fails to ...
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-neutron (Show other bugs)
7.0 (Kilo)
All Linux
unspecified Severity high
: ---
: 8.0 (Liberty)
Assigned To: lpeer
Ofer Blaut
: ZStream
: 1283200 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-18 07:49 EST by Anand Nande
Modified: 2016-06-07 08:35 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-31 20:44:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
amuller: needinfo? (anande)


Attachments (Terms of Use)

  None (edit)
Comment 2 Assaf Muller 2015-12-16 18:50:02 EST
*** Bug 1283200 has been marked as a duplicate of this bug. ***
Comment 4 Ihar Hrachyshka 2015-12-17 05:40:16 EST
One note on upgrade procedure: I don't think we support upgrade from OSP5 directly to OSP7, we don't support skipping releases. So it would be great if we check that the same issue occurs if we do properly staged upgrade through OSP6.
Comment 5 Ihar Hrachyshka 2015-12-17 05:54:12 EST
In the log snippet in comment#1, I see that daemon mode for rootwrap is triggered. This is expected because we enabled the mode by default in Kilo: https://review.gerrithub.io/#/c/234352/

The UnboundLocalError error that we see in the traceback just indicates that rootwrap daemon process failed to start (in latest versions of oslo.rootwrap it should not fail with this specific type of the exception since I fixed the traceback: https://review.openstack.org/#/c/191895/ Nevertheless, the backport of the patch would not fix the culprit of the failure for you.)

Sadly, rootwrap daemon mode does not provide good logging capabilities if something goes wrong because it interacts through stdout/stderr only, so from here we can only make assumptions.

Note that rootwrap daemon mode requires a new entry in sudoers file shipped with Neutron package: https://review.gerrithub.io/#/c/235911/ I don't see you mention anywhere that you updated your configuration files to merge any changes from .rpmnew files created in /etc/. Please make sure the line is present in your /etc/sudoers.d/neutron file. If it's not there, it will explain why daemon fails to start: because sudo does allow it in the first place. In that case, you should probably see access denied logs in syslog for failed sudo attempts.
Comment 6 Assaf Muller 2016-01-12 10:02:03 EST
Ping.
Comment 7 Assaf Muller 2016-05-31 20:44:12 EDT
Please re-open if needed. Ihar sent a needinfo for more information in 2015.

Note You need to log in before you can comment on or make changes to this bug.